# $Revision: 1.7 $, $Date: 2002/10/30 12:59:26 $
Summary:	UNIX manual page integrated development environment
Summary(pl):	Zintegrowane rodowisko uniksowe do tworzenia stron podrcznika
Name:		manedit
Version:	0.5.6
Release:	4
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-bzip2.patch
Patch1:		%{name}-opt.patch
URL:		http://wolfpack.twu.net/ManEdit/
BuildRequires:	bzip2-devel
BuildRequires:	gtk+-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
ManEdit is a UNIX Manual Page Integrated Development Environment.
It has full UNIX manual page editing capabilities using an XML
interface with instant preview. ManEdit uses the GTK+ widget set
and requires the X Window Systems.

%description -l pl
ManEdit jest zintegrowanym rodowiskiem uniksowym do tworzenia
stron podrcznika. Pozwala na kompletn edycj stron wykorzystujc
interfejs XML-owy z cigym podgldem. ManEdit uywa kontrolek
GTK+ i dziaa w rodowisku X Window.

%prep -q
%setup -q
%patch0 -p1
%patch1 -p1

%build
# This is a nasty hack to trick configure
# (proper way is to hack ./configure or pconf)
./configure Linux
echo -e "Linux\n"`grep UTS_RELEASE /usr/include/linux/version.h|awk '{print $3}'|sed 's/"//g'`"\n"%{_target_cpu} > manedit/this_platform.ini

./configure Linux --prefix=%{_prefix} -v

%{__make} all \
	OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_applnkdir}/Editors/Man}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Editors/Man
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/man*
%{_datadir}/manedit
%{_mandir}/man1/*.1*
%{_applnkdir}/Editors/Man/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: manedit.spec,v $
Revision 1.7  2002/10/30 12:59:26  ankry
- desktop moved to Editors/Man, rel. 4

Revision 1.6  2002/10/13 00:46:09  qboosh
- new %%doc

Revision 1.5  2002/03/30 18:52:33  qboosh
- opt patch to use custom optflags, fixed prefix passing
- release 3

Revision 1.4  2002/03/24 21:15:08  kloczek
- added desktop file and png icon for manedit,
- simplifications in %files,
- removed from files %%{_datadir}/icons (seems not used now),
- some minor cahnges and cosmetics.

Revision 1.3  2002/03/24 19:22:09  grzegol
- fixed patch name

Revision 1.2  2002/03/24 18:47:52  ankry
- hacked for compilation for proper arch
- fixed -lbz2 detection
- translated bluesish into Polish
- release 2

Revision 1.1  2002/03/24 15:26:03  blues
- initial PLD release
